poppler-0.26.5-2.7.mga5.i586.rpm


Advertisement

Description

poppler - PDF rendering library

Property Value
Distribution Mageia 5.1
Repository Mageia Core Updates i586
Package name poppler
Package version 0.26.5
Package release 2.7.mga5
Package architecture i586
Package type rpm
Installed size 514.85 KB
Download size 178.09 KB
Official Mirror distrib-coffee.ipsl.jussieu.fr
Poppler is a PDF rendering library based on the xpdf-3.0 code base.

Alternatives

Package Version Architecture Repository
poppler-0.26.5-2.9.mga5.i586.rpm 0.26.5 i586 Mageia Core Updates
poppler-0.26.5-2.9.mga5.x86_64.rpm 0.26.5 x86_64 Mageia Core Updates
poppler-0.26.5-2.8.mga5.i586.rpm 0.26.5 i586 Mageia Core Updates
poppler-0.26.5-2.8.mga5.x86_64.rpm 0.26.5 x86_64 Mageia Core Updates
poppler-0.26.5-2.7.mga5.x86_64.rpm 0.26.5 x86_64 Mageia Core Updates
poppler-0.26.5-2.5.mga5.i586.rpm 0.26.5 i586 Mageia Core Updates
poppler-0.26.5-2.5.mga5.x86_64.rpm 0.26.5 x86_64 Mageia Core Updates
poppler-0.26.5-2.4.mga5.i586.rpm 0.26.5 i586 Mageia Core Updates
poppler-0.26.5-2.4.mga5.x86_64.rpm 0.26.5 x86_64 Mageia Core Updates
poppler-0.26.5-2.3.mga5.i586.rpm 0.26.5 i586 Mageia Core Updates
poppler-0.26.5-2.3.mga5.x86_64.rpm 0.26.5 x86_64 Mageia Core Updates
poppler-0.26.5-2.1.mga5.i586.rpm 0.26.5 i586 Mageia Core Updates
poppler-0.26.5-2.1.mga5.x86_64.rpm 0.26.5 x86_64 Mageia Core Updates
poppler-0.26.5-2.mga5.i586.rpm 0.26.5 i586 Mageia Core
poppler-0.26.5-2.mga5.x86_64.rpm 0.26.5 x86_64 Mageia Core
poppler - - -

Requires

Name Value
libc.so.6 -
libc.so.6(GLIBC_2.0) -
libc.so.6(GLIBC_2.1) -
libc.so.6(GLIBC_2.1.3) -
libc.so.6(GLIBC_2.2) -
libc.so.6(GLIBC_2.3.4) -
libc.so.6(GLIBC_2.4) -
libcairo.so.2 -
libfreetype.so.6 -
libgcc_s.so.1 -
libgcc_s.so.1(GLIBC_2.0) -
liblcms2.so.2 -
libm.so.6 -
libm.so.6(GLIBC_2.0) -
libpoppler.so.46 -
libpthread.so.0 -
libpthread.so.0(GLIBC_2.0) -
libpthread.so.0(GLIBC_2.1) -
libpthread.so.0(GLIBC_2.2) -
libstdc++.so.6 -
libstdc++.so.6(CXXABI_1.3) -
libstdc++.so.6(GLIBCXX_3.4) -

Provides

Name Value
pdftohtml -
poppler == 0.26.5-2.7.mga5
poppler(x86-32) == 0.26.5-2.7.mga5
xpdf-tools -

Obsoletes

Name Value
pdftohtml -
xpdf-tools < 3.02-10mdv

Download

Type URL
Binary Package poppler-0.26.5-2.7.mga5.i586.rpm
Source Package poppler-0.26.5-2.7.mga5.src.rpm

Install Howto

  1. Enable Mageia Core Updates repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install poppler rpm package:
    # urpmi poppler

Files

Path
/usr/bin/pdfdetach
/usr/bin/pdffonts
/usr/bin/pdfimages
/usr/bin/pdfinfo
/usr/bin/pdfseparate
/usr/bin/pdftocairo
/usr/bin/pdftohtml
/usr/bin/pdftoppm
/usr/bin/pdftops
/usr/bin/pdftotext
/usr/bin/pdfunite
/usr/share/doc/poppler/AUTHORS
/usr/share/doc/poppler/COPYING
/usr/share/doc/poppler/NEWS
/usr/share/doc/poppler/README
/usr/share/man/man1/pdfdetach.1.xz
/usr/share/man/man1/pdffonts.1.xz
/usr/share/man/man1/pdfimages.1.xz
/usr/share/man/man1/pdfinfo.1.xz
/usr/share/man/man1/pdfseparate.1.xz
/usr/share/man/man1/pdftocairo.1.xz
/usr/share/man/man1/pdftohtml.1.xz
/usr/share/man/man1/pdftoppm.1.xz
/usr/share/man/man1/pdftops.1.xz
/usr/share/man/man1/pdftotext.1.xz
/usr/share/man/man1/pdfunite.1.xz

Changelog

2017-11-04 - ns80 <ns80> 0.26.5-2.7.mga5
+ Revision: 1175862
- add patch for CVE-2017-15565 (mga#21939)
- add upstream patch for CVE-2017-14976 (mga#21939)
- add patches for several CVEs (mga#21825)
- add patches for CVE-2017-14517, CVE-2017-14519 and CVE-2017-14520 (mga#21784)
+ luigiwalser <luigiwalser>
- add patches from fedora to fix CVE-2017-9776 and CVE-2017-9865
- rediff patch from fedora to fix CVE-2017-7511
- rediff patch from ubuntu to fix CVE-2017-7515
- add patches from ubuntu to fix CVE-2017-940[68] and CVE-2017-9775
- add upstream patch to fix crash on invalid file (fdo#93476)

See Also

Package Description
postgresql9.3-9.3.10-1.mga5.i586.rpm PostgreSQL client programs and libraries
postgresql9.3-9.3.11-1.mga5.i586.rpm PostgreSQL client programs and libraries
postgresql9.3-9.3.12-1.mga5.i586.rpm PostgreSQL client programs and libraries
postgresql9.3-9.3.14-1.mga5.i586.rpm PostgreSQL client programs and libraries
postgresql9.3-9.3.17-1.mga5.i586.rpm PostgreSQL client programs and libraries
postgresql9.3-9.3.18-1.mga5.i586.rpm PostgreSQL client programs and libraries
postgresql9.3-9.3.20-1.mga5.i586.rpm PostgreSQL client programs and libraries
postgresql9.3-contrib-9.3.10-1.mga5.i586.rpm Contributed binaries distributed with PostgreSQL
postgresql9.3-contrib-9.3.11-1.mga5.i586.rpm Contributed binaries distributed with PostgreSQL
postgresql9.3-contrib-9.3.12-1.mga5.i586.rpm Contributed binaries distributed with PostgreSQL
postgresql9.3-contrib-9.3.14-1.mga5.i586.rpm Contributed binaries distributed with PostgreSQL
postgresql9.3-contrib-9.3.17-1.mga5.i586.rpm Contributed binaries distributed with PostgreSQL
postgresql9.3-contrib-9.3.18-1.mga5.i586.rpm Contributed binaries distributed with PostgreSQL
postgresql9.3-contrib-9.3.20-1.mga5.i586.rpm Contributed binaries distributed with PostgreSQL
postgresql9.3-devel-9.3.10-1.mga5.i586.rpm PostgreSQL development header files and libraries
Advertisement
Advertisement